// creator  : weidu.exe (version 23100)
// argument : IMOEN25A.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~IMOEN25A~

IF ~Global("ImoenSummoned","GLOBAL",1)~ THEN BEGIN 0 // from:
  SAY #65281 /* ~I knew that I'd see you again!  Last time we split up, I just knew that wasn't the last time!  Oh, you sure are a sight for sore eyes, let me tell you.~ [IMOE2501] */
  IF ~~ THEN REPLY #65282 /* ~How have you been, Imoen?~ */ DO ~SetGlobal("ImoenSummoned","GLOBAL",2)~ GOTO 1
  IF ~~ THEN REPLY #65283 /* ~Me?  Why?  What have you been doing?~ */ DO ~SetGlobal("ImoenSummoned","GLOBAL",2)~ GOTO 1
  IF ~~ THEN REPLY #65284 /* ~Cut the chatter, girl, and don't bug me.~ */ DO ~SetGlobal("ImoenSummoned","GLOBAL",2)~ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 0.1 0.0
  SAY #65285 /* ~Oh... I haven't been doing anything special. It's just that... some strange stuff has started happening to me.  I've been having... odd dreams.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #65286 /* ~It's not like after Irenicus had us, either.  This is different.  I... I didn't believe I was a Bhaalspawn.  Not even after Irenicus said so, not really.  But now I do.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #65287 /* ~The feelings... it's... it's hard to describe.  But you probably know all about it, huh?  I don't know how you went through it, I really don't.~ */
  IF ~~ THEN REPLY #65289 /* ~Come with me, then.~ */ DO ~JoinParty()~ EXIT
  IF ~~ THEN REPLY #65290 /* ~I didn't ask for your life story.~ */ GOTO 4
  IF ~~ THEN REPLY #65291 /* ~I need you to wait here for awhile... I'll deal with you later.~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 3.1 0.2
  SAY #65288 /* ~Sorry.  I'll help you, if you want... I always have.  And I'll try not to get in your way.~ */
  IF ~~ THEN REPLY #65292 /* ~Come with me, then.~ */ DO ~JoinParty()~ EXIT
  IF ~~ THEN REPLY #65293 /* ~I need you to wait here for awhile... I'll deal with you later.~ */ GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.1 3.2
  SAY #65294 /* ~Wait here?  This... this place.  It's so familiar, somehow.  It's not even scary.  I guess I can wait here, if that's what you want.~ */
  IF ~~ THEN DO ~MoveToPointNoInterrupt([1800.1465])
Face(0)~ EXIT
END

IF ~Global("ImoenSummoned","GLOBAL",2)~ THEN BEGIN 6 // from:
  SAY #65295 /* ~So do you need me now?  I'd be happy to tag along.~ [IMOE2523] */
  IF ~~ THEN REPLY #65296 /* ~Yes, come along.~ */ DO ~JoinParty()~ EXIT
  IF ~~ THEN REPLY #65297 /* ~No, continue waiting here for awhile.~ */ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.1
  SAY #65298 /* ~Okay.  Just... just don't leave me here, please.  I... I can feel that something is going on, something really important.  I should be a part of it.~ */
  IF ~~ THEN EXIT
END
